<?php
$versions['versionDate']['eventcalendar'] = '$Date: 2006/10/22 $'; 
$versions['versionRev']['eventcalendar'] = '$Revision: 1.0.2 $'; 
$versions['versionAuthor']['eventcalendar'] = '$Author: PoloDude $';

if ( !defined('ROSTER_INSTALLED') )
{
    exit('Detected invalid access to this file!');
}

// Display the Top / left side of the Stylish Border
$content .=  border('syellow', 'start', $roster->locale->act['UpcomingRaids']);

// Make a table to hold the content
$content .=  '<table cellpadding="0" cellspacing="0" class="membersList">';

// Display the header of the table
$content .=  '<tr>';
$content .=  '<th class="membersHeader">'.$roster->locale->act['Date'].'</th>';
$content .=  '<th class="membersHeader">'.$roster->locale->act['Zone'].'</th>';
$content .=  '<th class="membersHeader">'.$roster->locale->act['Leader'].'</th>';
$content .=  '<th class="membersHeader">'.$roster->locale->act['Attendees'].'</th>';
$content .=  '<th class="membersHeader">'.$roster->locale->act['Level'].'</th>';
$content .=  '<th class="membersHeaderRight">'.$roster->locale->act['Note'].'</th>';
$content .=  '</tr>';

// Get all raids
$query = 'SELECT * FROM `'.$roster->db->table('events', 'eventcalendar').'` WHERE type != "Birth" AND type !="Meet" ORDER BY date ASC';
if ($roster->config['debug_mode'])
{
	print "<!-- $query -->\n";
}
$result = $roster->db->query($query) or die_quietly($roster->db->error(),'Database Error',basename(__FILE__),__LINE__,$query);

$rownum=1;
while ( $row = $roster->db->fetch($result)) {

if (isset($lastdate)){
	if (date("j",$lastdate) != date("j",strtotime($row['date']))){
		for ($i = 1; $i < 8; $i++){				
			$resetdate = mktime(3, 0, 0, date("m",$lastdate)  , date("d",$lastdate)+$i, date("Y",$lastdate));	
			unset($resetdata);
			$resetdata=checkReset(date("j",$resetdate),date("n",$resetdate),date("Y",$resetdate));
			if ($resetdata){
				$content .=  ('<tr>'."\n");
				$content .=  ('<td style="background-color:#2D0000" class="membersRow'.$rownum.'">'."\n");
				$content .=  (date($addon['config']['ResetDate'],$resetdate)."\n");
				$content .=  ('</td>'."\n");
				$content .=  ('<td style="text-align:center;background-color:#2D0000" class="membersRow'.$rownum.'">'."\n");
				$content .=  ($roster->locale->act['Reset']."\n");
				$content .=  ('</td>'."\n");
				$content .=  ('<td style="background-color:#2D0000" colspan="4" class="membersRowRight'.$rownum.'">'."\n");
				foreach ($resetdata as $type){
					resetIcon($type);
				}
			$content .=  ('</td>'."\n");
			$content .=  ('</tr>'."\n");
		}
		if (date("j",$resetdate)==date("j",strtotime($row['date']))) {break;}
		}
	}
}
// Open a new Row
$content .=  '<tr>';

$zoneicon = $addon['url'].'img/icons/';
$zoneicon .= ($roster->locale->act['Zones'][$row['type']] !=''?'Icon-'.$row['type'].'.jpg':'Icon-Unknown.jpg');
$zone = ($roster->locale->act['Zones'][$row['type']] != ''?$roster->locale->act['Zones'][$row['type']]:$row['type']);

$content .=  '<td class="membersRow'.$rownum.'">';
$content .=  '<a href="'.makelink('guild-EventCalendar&amp;event='.$row['eventid']).'">';
if($addon['config']['ShowIcon'])
// width="'.$roster_conf['index_iconsize'].'" height="'.$roster_conf['index_iconsize'].'"
$content .=  '<img class="membersRowimg" src="'.$zoneicon.'" alt="'.$zone.'" /> ';
$content .=  date($addon['config']['EventDate'],strtotime($row['date'])).'</a></td>';

$content .=  '<td class="membersRow'.$rownum.'">';
$content .=  $zone.'</td>';

$content .=  '<td style="text-align:center;" class="membersRow'.$rownum.'">';
$content .=  $row['leader'].'</td>';



$titular_count = getTitularCount($row['eventid']);
$substitute_count = getSubstituteCount($row['eventid']);

$content .=  '<td style="text-align:center;" class="membersRow'.$rownum.'">';
$content .=  $titular_count.'/'.$row['maxCount'].'('.$substitute_count.')</td>';

$content .=  '<td style="text-align:center;" class="membersRow'.$rownum.'">';
$content .=  $row['minLevel'].' - '.$row['maxLevel'].'</td>';

$note = $row['note'];
if($row['title'] !='')
$note = $row['title'] .'<br/>'.$row['note'];

$content .=  '<td style="text-align:center;" class="membersRowRight'.$rownum.'">';
$content .=  getNoteIcon($note).'</td>';

	// Close the Row
	$content .=  '</tr>';
	switch ($rownum) {
	case 1:
		$rownum=2;
	break;
	default:
		$rownum=1;
	}
$lastdate = strtotime($row['date']);
}
// Close the table
$content .=  '</table>';

// Display the Right side / Bottom of the Stylish Border
$content .=  border('syellow','end');

// Meetings (GroupCalendar only)

// Get all raids
$query = 'SELECT * FROM `'.$roster->db->table('events', 'eventcalendar').'` WHERE type = "Meet" ORDER BY date ASC';
if ($roster->config['debug_mode'])
{
	print "<!-- $query -->\n";
}
$result = $roster->db->query($query) or die_quietly($$roster->db->error(),'Database Error',basename(__FILE__),__LINE__,$query);

if($roster->db->num_rows($result) == 0){}else{
$content .=  '<br/>';
	// Display the Top / left side of the Stylish Border
	$content .=  border('syellow', 'start', $roster->locale->act['UpcomingMeetings']);
	
	// Make a table to hold the content
	$content .=  '<table cellpadding="0" cellspacing="0" class="membersList">';
	
	// Display the header of the table
	$content .=  '<tr>';
	$content .=  '<th class="membersHeader">'.$roster->locale->act['Date'].'</th>';
	$content .=  '<th class="membersHeader">'.$roster->locale->act['Zone'].'</th>';
	$content .=  '<th class="membersHeader">'.$roster->locale->act['Leader'].'</th>';
	$content .=  '<th class="membersHeader">'.$roster->locale->act['Attendees'].'</th>';
	$content .=  '<th class="membersHeader">'.$roster->locale->act['Level'].'</th>';
	$content .=  '<th class="membersHeaderRight">'.$roster->locale->act['Note'].'</th>';
	$content .=  '</tr>';
	
	$rownum=1;
	while ($row = $roster->db->fetch($result)) {
	// Open a new Row
	$content .=  '<tr>';
	
	$zoneicon = $addon['url'].'img/icons/';
	$zoneicon .= ($roster->locale->act['Zones'][$row['type']] !=''?'Icon-'.$row['type'].'.jpg':'Icon-Unknown.jpg');
	$zone = ($roster->locale->act['Zones'][$row['type']] != ''?$roster->locale->act['Zones'][$row['type']]:$row['type']);
	
	$content .=  '<td class="membersRow'.$rownum.'">';
	$content .=  '<a href="'.makelink('guild-EventCalendar&amp;event='.$row['eventid']).'">';
	if($addon['config']['ShowIcon'])
	$content .=  '<img class="membersRowimg" width="'.$roster_conf['index_iconsize'].'" height="'.$roster_conf['index_iconsize'].'" src="'.$zoneicon.'" alt="'.$zone.'" /> ';
	$content .=  date($addon['config']['EventDate'],strtotime($row['date'])).'</a></td>';
	
	$content .=  '<td class="membersRow'.$rownum.'">';
	$content .=  $zone.'</td>';
	
	$content .=  '<td style="text-align:center;" class="membersRow'.$rownum.'">';
	$content .=  $row['leader'].'</td>';
	
	
	
	$titular_count = getTitularCount($row['eventid']);
	$substitute_count = getSubstituteCount($row['eventid']);
	
	$content .=  '<td style="text-align:center;" class="membersRow'.$rownum.'">';
	$content .=  $titular_count.'/'.$row['maxCount'].'('.$substitute_count.')</td>';
	
	$content .=  '<td style="text-align:center;" class="membersRow'.$rownum.'">';
	$content .=  $row['minLevel'].' - '.$row['maxLevel'].'</td>';
	
	$note = $row['note'];
	if($row['title'] !='')
	$note = $row['title'] .'<br/>'.$row['note'];
	
	$content .=  '<td style="text-align:center;" class="membersRowRight'.$rownum.'">';
	$content .=  getNoteIcon($note).'</td>';
	
		// Close the Row
		$content .=  '</tr>';
		switch ($rownum) {
		case 1:
			$rownum=2;
		break;
		default:
			$rownum=1;
		}
	}
	// Close the table
	$content .=  '</table>';
	
	// Display the Right side / Bottom of the Stylish Border
	$content .=  border('syellow','end');
}

$roster->db->free_result($result);
?>