<?php
$versions['versionDate']['eventcalendar'] = '$Date: 2006/10/22 $'; 
$versions['versionRev']['eventcalendar'] = '$Revision: 1.0.2 $'; 
$versions['versionAuthor']['eventcalendar'] = '$Author: PoloDude $';
if ( !defined('ROSTER_INSTALLED') )
{
    exit('Detected invalid access to this file!');
}

if ((isset($_REQUEST['event'])) && ($_REQUEST['event'] != '')) {
	$eventid = $_REQUEST['event'];
}

// Get all eventinfo
$query_eventinfo = 'SELECT * FROM `'.$roster->db->table('events', 'eventcalendar').'` WHERE eventid="'.$eventid.'"';
if ($roster->config['debug_mode'])
{
	print "<!-- $query_eventinfo -->\n";
}
$result_eventinfo = $roster->db->query($query_eventinfo) or die_quietly($roster->db->error(),'Database Error',basename(__FILE__),__LINE__,$query_eventinfo);
$row_eventinfo = $roster->db->fetch($result_eventinfo);

$content .=  '<table border="0"><tr><td valign="top">';
// Display the Top / left side of the Stylish Border
$content .=  border('syellow', 'start', $roster->locale->act['Titulars']);

// Make a table to hold the content
$content .=  '<table cellpadding="0" cellspacing="0" class="membersList">';

// Display the header of the table
$content .=  '<tr>';
$content .=  '<th class="membersHeader">'.$roster->locale->act['Name'].'</th>';
$content .=  '<th class="membersHeader">'.$roster->locale->act['Guild'].'</th>';
$content .=  '<th class="membersHeader">'.$roster->locale->act['Level'].'</th>';
$content .=  '<th class="membersHeaderRight">'.$roster->locale->act['Note'].'</th>';
$content .=  '</tr>';

// Get all raiders
$query = 'SELECT s.name, s.note, m.class, m.guild, m.level FROM `'.$roster->db->table('event_subscribers', 'eventcalendar').'` AS s LEFT JOIN `'.$roster->db->table('event_members', 'eventcalendar').'` AS m ON s.name = m.name WHERE s.status = "Y" AND s.eventid="'.$eventid.'" ORDER BY s.place ASC';
if ($roster->config['debug_mode'])
{
	print "<!-- $query -->\n";
}
$result = $roster->db->query($query) or die_quietly($roster->db->error(),'Database Error',basename(__FILE__),__LINE__,$query);

$total=0;
$rownum=1;
while ($row = $roster->db->fetch($result)) {
$total+=1;

$content .=  '<td class="membersRow'.$rownum.'">'.getClassIcon($row['class']);
$content .=  checkMember($row['name']).'</td>';

$content .=  '<td class="membersRow'.$rownum.'">';
$content .=  $row['guild'].'</td>';

$content .=  '<td style="text-align:center;" class="membersRow'.$rownum.'">';
$content .=  $row['level'].'</td>';

$content .=  '<td style="text-align:center;" class="membersRowRight'.$rownum.'">';
$content .=  getNoteIcon($row['note']).'</td>';

// Close the Row
	$content .=  '</tr>';
	switch ($rownum) {
	case 1:
		$rownum=2;
	break;
	default:
		$rownum=1;
	}
}

if($roster->db->num_rows($result) == 0){
	$content .=  '<tr><td colspan="4" style="text-align:center" class="membersRowRight1">'.$roster->locale->act['NoTitulars'].'</td></tr>';
}

// add count
$maxcount = $row_eventinfo['maxCount'];
$content .=  '<tr><th colspan="4" class="membersHeaderRight">';
$content .=  'Total: '.$total.' ('.$maxcount.')';
$content .=  '</th></tr>';

// Close table
$content .=  '</table>';

// Display the Right side / Bottom of the Stylish Border
$content .=  border('syellow','end');

$content .=  '<br/>';

// Get all substitutes
$query = 'SELECT s.name, s.note, m.class, m.guild, m.level FROM `'.$roster->db->table('event_subscribers', 'eventcalendar').'` AS s LEFT JOIN `'.$roster->db->table('event_members', 'eventcalendar').'` AS m ON s.name = m.name WHERE s.status = "S" AND s.eventid="'.$eventid.'" ORDER BY s.place ASC';
if ($roster->config['debug_mode'])
{
	print "<!-- $query -->\n";
}
$result = $roster->db->query($query) or die_quietly($roster->db->error(),'Database Error',basename(__FILE__),__LINE__,$query);

if($roster->db->num_rows($result) == 0){}else{
	// Display the Top / left side of the Stylish Border
	$content .=  border('syellow', 'start', $roster->locale->act['Substitutes']);
	
	// Make a table to hold the content
	$content .=  '<table cellpadding="0" cellspacing="0" class="membersList">';
	
	// Display the header of the table
	$content .=  '<tr>';
	$content .=  '<th class="membersHeader">'.$roster->locale->act['Name'].'</th>';
	$content .=  '<th class="membersHeader">'.$roster->locale->act['Guild'].'</th>';
	$content .=  '<th class="membersHeader">'.$roster->locale->act['Level'].'</th>';
	$content .=  '<th class="membersHeaderRight">'.$roster->locale->act['Note'].'</th>';
	$content .=  '</tr>';
	
	$total=0;
	$rownum=1;
	while ($row = $roster->db->fetch($result)) {
	$total+=1;
	
	$content .=  '<td class="membersRow'.$rownum.'">'.getClassIcon($row['class']);
	$content .=  checkMember($row['name']).'</td>';
	
	$content .=  '<td class="membersRow'.$rownum.'">';
	$content .=  $row['guild'].'</td>';
	
	$content .=  '<td style="text-align:center;" class="membersRow'.$rownum.'">';
	$content .=  $row['level'].'</td>';
	
	$content .=  '<td style="text-align:center;" class="membersRowRight'.$rownum.'">';
	$content .=  getNoteIcon($row['note']).'</td>';
	
	// Close the Row
		$content .=  '</tr>';
		switch ($rownum) {
		case 1:
			$rownum=2;
		break;
		default:
			$rownum=1;
		}
	}
	
	if($wowdb->num_rows($result) == 0){
		$content .=  '<tr><td colspan="4" style="text-align:center" class="membersRowRight1"> No Substitutes </td></tr>';
	}
	
	// add count
	$content .=  '<tr><th colspan="4" class="membersHeaderRight">';
	$content .=  'Total: '.$total;
	$content .=  '</th></tr>';
	
	// Close table
	$content .=  '</table>';
	
	// Display the Right side / Bottom of the Stylish Border
	$content .=  border('syellow','end');
}

$content .=  '<br/>';

// Get all replacements
$query = 'SELECT s.name, s.note, m.class, m.guild, m.level FROM `'.$roster->db->table('event_subscribers', 'eventcalendar').'` AS s LEFT JOIN `'.$roster->db->table('event_members', 'eventcalendar').'` AS m ON s.name = m.name WHERE s.status = "R" AND s.eventid="'.$eventid.'" ORDER BY s.place ASC';
if ($roster->config['debug_mode'])
{
	print "<!-- $query -->\n";
}
$result = $roster->db->query($query) or die_quietly($roster->db->error(),'Database Error',basename(__FILE__),__LINE__,$query);

if($roster->db->num_rows($result) == 0){}else{
	// Display the Top / left side of the Stylish Border
	$content .=  border('syellow', 'start', $roster->locale->act['Replacements']);
	
	// Make a table to hold the content
	$content .=  '<table cellpadding="0" cellspacing="0" class="membersList">';
	
	// Display the header of the table
	$content .=  '<tr>';
	$content .=  '<th class="membersHeader">'.$roster->locale->act['Name'].'</th>';
	$content .=  '<th class="membersHeader">'.$roster->locale->act['Guild'].'</th>';
	$content .=  '<th class="membersHeader">'.$roster->locale->act['Level'].'</th>';
	$content .=  '<th class="membersHeaderRight">'.$roster->locale->act['Note'].'</th>';
	$content .=  '</tr>';
	
	$total=0;
	$rownum=1;
	while ($row = $roster->db->fetch($result)) {
	$total+=1;
	
	$content .=  '<td class="membersRow'.$rownum.'">'.getClassIcon($row['class']);
	$content .=  checkMember($row['name']).'</td>';
	
	$content .=  '<td class="membersRow'.$rownum.'">';
	$content .=  $row['guild'].'</td>';
	
	$content .=  '<td style="text-align:center;" class="membersRow'.$rownum.'">';
	$content .=  $row['level'].'</td>';
	
	$content .=  '<td style="text-align:center;" class="membersRowRight'.$rownum.'">';
	$content .=  getNoteIcon($row['note']).'</td>';
	
	// Close the Row
		$content .=  '</tr>';
		switch ($rownum) {
		case 1:
			$rownum=2;
		break;
		default:
			$rownum=1;
		}
	}
	
	// add count
	$content .=  '<tr><th colspan="4" class="membersHeaderRight">';
	$content .=  'Total: '.$total;
	$content .=  '</th></tr>';
	
	// Close table
	$content .=  '</table>';
	
	// Display the Right side / Bottom of the Stylish Border
	$content .=  border('syellow','end');
}

$content .=  '</td><td width="10px"></td><td valign="top">';

// Display the Top / left side of the Stylish Border
$content .=  border('syellow', 'start', $roster->locale->act['Limits']);

// Make a table to hold the content
$content .=  '<table cellpadding="0" cellspacing="0" class="membersList">';

// Display the header of the table
$content .=  '<tr>';
$content .=  '<th class="membersHeader">'.$roster->locale->act['Class'].'</th>';
$content .=  '<th class="membersHeaderRight">'.$roster->locale->act['LimitStatus'].'</th>';
$content .=  '</tr>';

$content .=  '<tr>';

// Get all limits
$query_limits = 'SELECT * FROM `'.$roster->db->table('event_limits', 'eventcalendar').'` WHERE `eventid` = \''.$eventid.'\' ORDER BY `class` ASC';
if ($roster->config['debug_mode'])
{
	print "<!-- $query_limits -->\n";
}
$result_limits = $roster->db->query($query_limits) or die_quietly($roster->db->error(),'Database Error',basename(__FILE__),__LINE__,$query_limits);

$rownum=1;
while ($row = $roster->db->fetch($result_limits)) {

$content .=  '<td class="membersRow'.$rownum.'">'.getClassIcon($row['class']);
$content .=  $roster->locale->act['Classes'][$row['class']].'</td>';

// Get all classcount
$query_classcount = 'SELECT s.name FROM `'.$roster->db->table('event_subscribers', 'eventcalendar').'` AS s LEFT JOIN `'.$roster->db->table('event_members', 'eventcalendar').'` AS m ON m.name = s.name WHERE m.class = "'.$row['class'].'"  AND eventid = '.$eventid;
if ($roster->config['debug_mode']){ print "<!-- $query_classcount -->\n"; }
$result_classcount = $roster->db->query($query_classcount) or die_quietly($roster->db->error(),'Database Error',basename(__FILE__),__LINE__,$query_classcount);
$row_classcount = $roster->db->num_rows($result_classcount);

$content .=  '<td style="text-align:center;" class="membersRowRight'.$rownum.'">';
$content .=  $row['min'].' / '.$row_classcount.' / '.$row['max'].'</td>';

// Close the Row
	$content .=  '</tr>';
	switch ($rownum) {
	case 1:
		$rownum=2;
	break;
	default:
		$rownum=1;
	}
}

if($roster->db->num_rows($result_limits) == 0){
	$content .=  '<tr><td colspan="2" style="text-align:center" class="membersRowRight1">'.$roster->locale->act['NoLimits'].'</td></tr>';
}

// Close table
$content .=  '</table>';

// Display the Right side / Bottom of the Stylish Border
$content .=  border('syellow','end');

$content .=  '</td></tr></table>';

?>