<?php
require_once('debug_arrays.php');
#debug($addon);
class eventcalendarUpdate
{
	var $messages = '';	// Update messages
	var $data = array();	// Addon config data automatically pulled from the addon_config table
	var $files = array();
 
 
	/**
	 * Class instantiation
	 * The name of this function MUST be the same name as the class name
	 *
	 * @param array $data	| Addon data
	 * @return recipe
	 */
	function eventcalendarUpdate($data)
	{
		$this->data = $data;
		$this->files[] = "guildeventmanager2";
		$this->files[] = "groupcalendar"; // Add EventCalendar filename
	}
 
	/**
	 * Resets addon messages
	 */
	function reset_messages()
	{
		$this->messages = '';
	}
 
	function char($char, $memberid, $realm)
	{
		global $roster, $update;
		require('./components/com_wowroster/addons/EventCalendar/inc/conf.php');
		$updateChars = $addon['config']['EventUpdaters'];
		$query = "SELECT * FROM `".$roster->db->table('members')."` WHERE `member_id` = '$memberid'";
		$result = $roster->db->query($query);
		while ($row = $roster->db->fetch($result)) {
		  	$member_name = $row['name'];
		  	$realm = $row['server'];
		}
		//----------[ INSERT UPDATE TRIGGER BELOW ]-----------------------
		// Run this on a character update
		if( $addon['config']['UpdateTrigger'] ) {
		// Check if character is allowed to updated raids
			if(in_array($member_name,$updateChars) || $addon['config']['UpdateAll']){
			// If CT_EventCalendar data is there, assign it to $uploadData['EventCalendar']
				if( isset($update->uploadData['groupcalendar']) || isset($update->uploadData['guildeventmanager2']) ){
					include_once('./components/com_wowroster/addons/EventCalendar/inc/functions.php');
					if($addon['config']['UpdateMode'] == 'GEM'){
						$this->messages .= processGEM($member_name,$update->uploadData['guildeventmanager2']['GEM_Events'], $realm);
					}
					elseif($addon['config']['UpdateMode'] == 'GroupCalendar'){
						$this->messages .= processGRP($member_name,$update->uploadData['groupcalendar'], $realm);
					}
				}
			}
		}
		return true;
	}
}
?>
